org.apache.cassandra.service

## Interface CassandraDaemon.Server

- All Known Implementing Classes:
    Server, ThriftServer
  Enclosing class:
    CassandraDaemon

      public static interface CassandraDaemon.Server

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isRunning()` Returns whether the server is currently running.
    `void` | `start()` Start the server.
    `void` | `stop()` Stop the server.

- - ### Method Detail

    - #### start

          void start()

      Start the server. This method shoud be able to restart a server stopped through stop(). Should throw a RuntimeException if the server cannot be started

    - #### stop

          void stop()

      Stop the server. This method should be able to stop server started through start(). Should throw a RuntimeException if the server cannot be stopped

    - #### isRunning

          boolean isRunning()

      Returns whether the server is currently running.

Copyright © 2018 The Apache Software Foundation